#ifndef DELAY_C
#define DELAY_C

/* delay(n) - pauses for a 1/100th of a second */

delay(n) int n; {
#asm
	ld	hl,2
	add	hl,sp
	ld	a,(hl)
	inc	hl
	ld	h,(hl)
	ld	l,a
__fastdelay:
#endasm

/* Make TI-86 run about as fast as a 83 like delay */
#ifdef __TI86__
#asm
	add	hl,hl	; double time
delaycont:
#endasm
#endif

#ifdef __TI83__
#asm
delaycont:
	xor	a
	inc	a
	out	(3),a
	ei
#endasm
#endif

#asm
	halt
	dec	hl
	ld	a,h		; Quick test for HL != 0?
	or	l
	jr	nz,delaycont
#endasm
}

#endif
